# Deep Swapper

## CLI Arguments

### Deep Swapper Model

Choose the model responsible for swapping the face.

Argument: `--deep-swapper-model`

Default: `iperov/elon_musk_224`

Choices:

* `druuzil`
* `edel`
* `iperov`
* `jen`
* `mats`
* `rumateus`

Example: `--deep-swapper-model iperov/jackie_chan_224`

### Deep Swapper Morph

Morph between source face and target faces.

Argument: `--deep-swapper-morph`

Default: `80`

Range: `0` to `100` at `1`

Example: `--deep-swapper-morph 100`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
deep_swapper_model = iperov/jackie_chan_224
deep_swapper_morph = 100
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/deep-swapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
